#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define		module	xlrd
Summary:	Python interface to extracting data from Excel datasheets
Summary(pl.UTF-8):	Pythonowy interfejs do odczytywania danych z arkuszy Excela
Name:		python-%{module}
Version:	2.0.1
Release:	7
License:	BSD-style
Group:		Development/Languages/Python
Source0:	https://files.pythonhosted.org/packages/source/x/xlrd/%{module}-%{version}.tar.gz
# Source0-md5:	ae3f951c857a490d432f0a7d722352bf
URL:		https://www.python-excel.org/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python interface to extracting data from Excel datasheets

%description -l pl.UTF-8
Pythonowy interfejs do odczytywania danych z arkuszy Excela

%package -n python3-%{module}
Summary:	Python interface to extracting data from Excel datasheets
Summary(pl.UTF-8):	Pythonowy interfejs do odczytywania danych z arkuszy Excela
Requires:	python3-modules >= 1:3.6

%description -n python3-%{module}
Python interface to extracting data from Excel datasheets

%description -n python3-%{module} -l pl.UTF-8
Pythonowy interfejs do odczytywania danych z arkuszy Excela

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_postclean
%{!?with_python3:%{__sed} -i -e 's|/usr/bin/env python|%{__python}|' $RPM_BUILD_ROOT%{_bindir}/runxlrd.py}
%endif

%if %{with python3}
%py3_install
%{__sed} -i -e 's|/usr/bin/env python|%{__python3}|' $RPM_BUILD_ROOT%{_bindir}/runxlrd.py
%endif

%{__mv} $RPM_BUILD_ROOT%{_bindir}/runxlrd{.py,}


%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{module}
%if %{without python3}
%attr(755,root,root) %{_bindir}/runxlrd
%endif
%{py_sitescriptdir}/%{module}-*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/%{module}
%attr(755,root,root) %{_bindir}/runxlrd
%{py3_sitescriptdir}/%{module}-*.egg-info
%endif
%changelog
* Wed Mar 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-xlrd.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> a6c1c4b
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b6b49f3
- python 3.13 rebuild

* Tue Sep 13 2022 Jan Palus <atler@pld-linux.org> 690baa9
- fix runxlrd shebang if building with both python2 and python3; rel 5

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 4d19687
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> c3a135b
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 679a731
- rebuild with python 3.10

* Fri Feb 18 2022 Jan Palus <atler@pld-linux.org> fb7d756
- up to 2.0.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 137f57a
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 36f6436
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 59f958a
- automatic change: use py_build/py_install macros

* Sat Jul 05 2014 Jan Palus <atler@pld-linux.org> edc50e7
- up to 0.9.3
- minimum supported python-version is 2.6
- examples and docs dropped from tarball

* Fri Jul 26 2013 Jan Rękorajski <baggins@pld-linux.org> d85c441
- simplify install and packaging, this avoids rpm generating bogus req 'python(abi) = -xlrd'
- rel 2

* Sat Apr 13 2013 Jan Palus <jan.palus@gmail.com> 4a270f3
- up to 0.9.2

* Thu Jul 19 2012 Jan Rękorajski <baggins@pld-linux.org> c8ab85b
- Package missing dir
Release 2

* Wed Jul 18 2012 Elan Ruusamäe <glen@delfi.ee> d7d13c8
- use exec

* Wed Jul 18 2012 Elan Ruusamäe <glen@delfi.ee> 1fbad13
- proper heredoc

* Wed Jul 18 2012 Elan Ruusamäe <glen@delfi.ee> 6a3c782
- cleanup (no CFLAGS in noarch package); unify and simplify

* Tue Jul 17 2012 Artur Frysiak <artur@frysiak.net> 4c36fcb
- Up to 0.7.9

* Mon Feb 07 2011 sparky <sparky@pld-linux.org> 6f6b92f
- unified preamble in %changelog

* Thu Jun 04 2009 qwiat <qwiat@pld-linux.org> f47e00f
- update

